<?php
 /**

 */

 
  date_default_timezone_set('America/Costa_Rica');

 

	
	include('../conexion.php'); 


	$horaactual = date("h:i:s A");
	$fechahoy=date("d-m-Y");

	

 	$consulta = "SELECT * FROM web_0000 ";
	$resultado = $mysqli->query($consulta);
	$fila = $resultado->fetch_array();

         $nomcom = $fila["NOMCOM"];
	     $razsoc = $fila["RAZSOC"];
		 $cedjur = $fila["CEDJUR"];
		 $diremp = $fila["DIREMP"];
 $numtel_empresa = $fila["NUMTEL"];
		 $numofi = $fila["numofi"];
		 $menfac = $fila["menfac"];
         $intmor = $fila["INTMOR"];
		 
		 
     $fecini    = $_GET["fechainicio"];
	 $cdgtipven = $_GET["combotipoventa"];
	 $cdgcaj    = $_GET["cdgcaj"];
	 

	 
	 
	 $dia=1;
 	 $fecha_final= "+".$dia." day" ;
	 $feccie = strtotime ( $fecha_final , strtotime ( $fecini) ) ;
	 $fecfin = date ( 'Y-m-d' , $feccie );


$where = "1=1";	 
if ($cdgcaj <> "") { $where.=" AND cdgcaj='$cdgcaj'"; }
//if ($cdgtipven <> "") { $where.=" AND cdgtipven='$cdgtipven'"; }


		 

 $consulta2= ("SELECT  Sum(totalfactura) AS totalfactura , Sum(impser) AS impser , Sum(tot_sin_impser) AS tot_sin_impser  FROM impuesto_servicio");

		if ($resultado2 = $mysqli->query($consulta2)) 

 
  	 while ($dato = $resultado2->fetch_assoc()) {
  						
	 $totalventas=$dato["totalfactura"];
	 $totalimpuesto=$dato["impser"];
	 $total_sin_impser=$totalventas - $totalimpuesto ;

  }


 if ($cdgcaj=="") {
	 
	 $nomcomusu="TODOS LOS CAJEROS";
	 
	     } else {

	 
	  $query_codcaj="SELECT * FROM usuarios  WHERE codusu=$cdgcaj ";
       $resultado = $mysqli->query( $query_codcaj);
       $row = $resultado->fetch_array();
        
		$nomcomusu    = $row["nomcomusu"];
		
		
     }
	
		 
/////////////////////////////////////////////   direccion de maquina local ////////////////////////////////////////////////////

echo $ip = $_SERVER['REMOTE_ADDR'] ;
if ($ip=="127.0.0.1"){ 

$puerto="LPT1";   // maquina local

   }else {
	
$puerto="LPT2";    // otras maquinas 


    }

echo $puerto;

if(($handle = @fopen($puerto, "w")) === FALSE){
   		echo exec('Impresoras');
	
        die('No se puede Imprimir, Verifique la conexion con la IMPRESORA'); // Revisa la conexion con la impresora
    }
setlocale(LC_TIME, 'spanish');


fwrite($handle,chr(27). chr(64));//reinicio



 //fwrite($handle, chr(27). chr(112). chr(48));//ABRIR EL CAJON
fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
fwrite($handle,  chr(27). chr(100). chr(0));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(0));//salto de linea
fwrite($handle, chr(27). chr(32). chr(1));//ESTACIO ENTRE 
fwrite($handle, chr(27). chr(97). chr(1));//centrado
fwrite($handle, chr(27). chr(33). chr(22));//ESTACIO ENTRE LETRAS

fwrite($handle, $nomcom);
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS
//fwrite($handle, chr(27) +"3"+ chr(17));//interlienaso
//fwrite($handle, chr(27). chr(72). chr(0));//Color Rojo
fwrite($handle, chr(27). chr(3). chr(17));//salto de linea VACIO
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(9));//Tamaño letra 10 
fwrite($handle, $razsoc);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Reporte Impuesto de Servico  ");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, "Del ".$fecini." a partir de las 07:00:00 AM");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle,"Hasta las 07:00:00 AM del ".$fecfin);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"IMPUESTO DE SERVICIO");
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(1));//CENTRADO
fwrite($handle,"    --------------------------------------------");
fwrite($handle, chr(27). chr(32). chr(0));//ESTACIO ENTRE LETRAS *************
fwrite($handle, chr(27). chr(97). chr(0));//IzquierdERRORERR21++a
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(97). chr(2));//Derecha


$total_sin_impser=number_format($total_sin_impser,2,".",",");
$totalimpuesto=number_format($totalimpuesto,2,".",",");
$totalventas=number_format($totalventas,2,".",",");

fwrite($handle,"       Monto Subtotal:  ");
fwrite($handle, $total_sin_impser);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle,"       Impuesto de Servicio:  ");
fwrite($handle, $totalimpuesto);
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea

fwrite($handle,"       TOTAL FACTURADO:  ");
fwrite($handle, $totalventas);
	
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(33). chr(24));//ESTACIO ENTRE LETRAS

fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(27). chr(100). chr(1));//salto de linea
fwrite($handle, chr(29). chr(86). chr(49));//Corta el Papel






		
fclose($handle); // cierra el fichero PRN
$salida = shell_exec('lpr $puerto'); //lpr->puerto impresora, imprimir archivo PRN

echo "<script languaje='javascript' type='text/javascript'>window.close();</script>";

?>
